<template>
  <div>
    <div class="mainPanel row">
      <div><menu-bar /></div>
      <div class="rightMainDiv">
        <header-bar @refreshData="refreshData"></header-bar>
        <div class="row">
          <div
            class="col-6"
            v-for="(item, index) in sensorBoxData"
            :key="index"
          >
            <sensor-box
              :data="item"
              :sensorBox="sensorBoxList"
              @refeshBox="refreshData"
            ></sensor-box>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import axios from "axios";
import footerBar from "../components/footer.vue";
import menuBar from "../components/sidemenu.vue";
import headerBar from "../components/sensor/header.vue";
import sensorBox from "../components/sensor/sensorBox.vue";

export default {
  components: { footerBar, menuBar, headerBar, sensorBox },
  data() {
    return {
      sensorBoxData: [],
      sensorBoxList: [],
    };
  },
  methods: {
    async loadSensorBoxData() {
      this.sensorBoxData = [];
      this.sensorBoxList = [];
      let dataSend = {
        projectID: Number(
          this.$q.localStorage.getItem("projectInfo").projectID
        ),
      };
      let url2 = this.apiPath + "loadSensorBoxData.php";
      let res2 = await axios.post(url2, JSON.stringify(dataSend));
      let sensorBoxTemp = res2.data;
      sensorBoxTemp.forEach((x) => {
        let temp = {
          value: Number(x.id),
          label: x.boxName,
        };
        this.sensorBoxList.push(temp);
      });
      let url = this.apiPath + "loadSensorBox.php";
      let res = await axios.post(url, JSON.stringify(dataSend));
      res.data.sort((a, b) => (a.sensorName > b.sensorName ? true : false));
      res.data.forEach((item) => {
        let temp = {
          sensorID: item.id,
          sensorName: item.sensorName,
          sensorType: item.sensorType,
          sensorBoxID: item.sensorBoxID,
          sensorBoxName: sensorBoxTemp.filter(
            (x) => x.id == item.sensorBoxID
          )[0].boxName,
          typeName: item.typeName,
          online: item.online == 1 ? true : false,
          sensor: item.sensor,
          picture: item.picture,
        };
        this.sensorBoxData.push(temp);
      });
      this.sensorBoxData.sort((a, b) => (a.sensorName > b.sensorName ? 1 : -1));
      // this.sensorBoxData = [
      //   {
      //     sensorID: 1,
      //     sensorName: "Acc#1",
      //     sensorType: "Accelerometer",
      //     online: false,
      //     sensor: null,
      //     picture: null,
      //   },
      //   {
      //     sensorID: 2,
      //     sensorName: "Acc#2",
      //     sensorType: "Accelerometer",
      //     online: true,
      //     sensor: [
      //       {
      //         axis: "x",
      //         unit: "m/s<sup>2</sup>",
      //         factor: 1000,
      //         minLimit: null,
      //         maxLimit: 2,
      //         column: 2,
      //       },
      //       {
      //         axis: "y",
      //         unit: "m/s<sup>2</sup>",
      //         factor: 100,
      //         minLimit: -10,
      //         maxLimit: 10,
      //         column: 3,
      //       },
      //     ],
      //     picture: "1.jpg",
      //   },
      //   {
      //     sensorID: 3,
      //     sensorName: "Acc#3",
      //     sensorType: "Accelerometer",
      //     online: true,
      //     sensor: [
      //       {
      //         axis: "x",
      //         unit: "m/s<sup>2</sup>",
      //         factor: 1000,
      //         minLimit: null,
      //         maxLimit: 2,
      //         column: 2,
      //       },
      //       {
      //         axis: "y",
      //         unit: "m/s<sup>2</sup>",
      //         factor: 100,
      //         minLimit: -10,
      //         maxLimit: 10,
      //         column: 3,
      //       },
      //     ],
      //     picture: "1.jpg",
      //   },
      //   {
      //     sensorID: 4,
      //     sensorName: "Acc#4",
      //     sensorType: "Accelerometer",
      //     online: true,
      //     sensor: [
      //       {
      //         axis: "x",
      //         unit: "m/s<sup>2</sup>",
      //         factor: 1000,
      //         minLimit: null,
      //         maxLimit: 2,
      //         column: 2,
      //       },
      //       {
      //         axis: "y",
      //         unit: "m/s<sup>2</sup>",
      //         factor: 100,
      //         minLimit: -10,
      //         maxLimit: 10,
      //         column: 3,
      //       },
      //     ],
      //     picture: "1.jpg",
      //   },
      //   {
      //     sensorID: 5,
      //     sensorName: "Acc#5",
      //     sensorType: "Accelerometer",
      //     online: true,
      //     sensor: [
      //       {
      //         axis: "x",
      //         unit: "m/s<sup>2</sup>",
      //         factor: 1000,
      //         minLimit: null,
      //         maxLimit: 2,
      //         column: 2,
      //       },
      //       {
      //         axis: "y",
      //         unit: "m/s<sup>2</sup>",
      //         factor: 100,
      //         minLimit: -10,
      //         maxLimit: 10,
      //         column: 3,
      //       },
      //     ],
      //     picture: "1.jpg",
      //   },
      // ];
    },

    refreshData() {
      this.loadSensorBoxData();
    },
  },
  mounted() {
    this.loadSensorBoxData();
  },
};
</script>

<style lang="scss" scoped>
.mainPanel {
  color: black;
  max-width: 1400px;
  width: 100%;
  margin: auto;
  font-size: 16px;
  background-color: #f2f2f2;
  min-height: 100vh;
}
.rightMainDiv {
  width: calc(100% - 300px);
  max-width: 1100px;
  height: 100vh;
  overflow-y: auto;
}
</style>
